12 maio 2008

YouTube dentro do Totem

Quem não conhece o simples e eficaz Totem, player de mídia por omissão no Gnome? Tendo os codecs instalados no sistema, não há filminho ou música que ele não reproduza. Agora quanto a passar os vídeos do YouTube, substituindo mesmo o browser para essa função, é que se calhar não sabiam... E mais, passar esses mesmos filmes mas em vez de no formato Flash, em H.264. Por outras palavras, ele procura o mesmo filme mas em vez de ser em Flash, passa-o com uma qualidade superior no formato H.264.

Para que isso seja possível, é necessário o Totem na versão 2.22 e o plugin youtubeh264 que pode instalado no teu sistema a partir do deste tar.gz. Os passos seguintes são estes:

tar xvfz youtubeh264.tar.gz
sudo mv youtubeh264 /usr/lib/totem/plugins


Caso andes a curtir um GNU/Linux de base Debian como o Ubuntu Hardy, faz o download deste .deb e instala-o com o GDebi ou com um simples:

sudo dpkg -i totem-youtubeh264_0.0.1-2.deb

Com o GDebi fica algo como isto:

Totem 1

Após isso, abre o Totem e dá um saltinho ao Editar > Plug-in's e seleciona os plug-in's em causa:

Totem 2

Na barra lateral podes a partir de agora procurar por um qualquer vídeo que esteja no YouTube, como se estivesses lá no site:

Totem 3

Bons filminhos...

Fonte: Genbeta, init 7

7 comentários:

Qual o tema que usas? Tá porreiro, quero um igual.

Muito fixe, vou compilar o totem embora a minha distribuição não me deixe fazê-lo sem os malditos "gstreamer".Tou a dizer malditos mas já há muito tempo que não os experimento, podem tar melhores agora.

@Zilog

O tema é o SlicknesS, e o wallpaper é um dos ultimos que o Nuno Pinheiro produziu para o Kde 4:
http://pinheiro-kde.blogspot.com/

Já instalei o tema. Ficou porreiro.
Obrigado.

André 23 disse...
13 maio, 2008 18:10
 

Esse não é o plugin que já vem de origem no novo totem 2.22?

Anónimo disse...
13 maio, 2008 22:37
 

Não deu certo aqui...
Minha distro é o Fedora 9, então fiz como vc explicou no início do post, mas ao tentar habilitar o plugin recebo a seguinte mensagem:
Erro no plug-in
Não foi possível ativar o plug-in Navegador do YouTube H264

O que será que está a ocorrer?

Não esqueças que o Totem tem de ser o 2.22, não sei se é o teu caso. Sugiro-te que arranques o Totem pelo terminal, depois tentas habilitar o plugin e no terminal deve aparecer qual o erro que impede o plugin de arrancar.